PUT Application/PutReportParameter
Request Information
URI Parameters
None.
Body Parameters
ReportParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| ReportID | globally unique identifier |
Required |
|
| SchemaEntityID | globally unique identifier |
None. |
|
| ReportParameterTypeID | ReportParameterType |
Required |
|
| Name | string |
Required |
|
| DefaultValue | string |
None. |
|
| Caption | string |
None. |
|
| GroupBy | string |
None. |
|
| AllowNull | boolean |
Required |
|
| Sequence | integer |
None. |
|
| NameAlias | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "b8752c19-f8fe-457c-aa4f-01e56c7cdf27",
"reportID": "152efc89-7729-49d8-bcb1-91edf155cc0e",
"schemaEntityID": "e1994b57-0705-4654-b23e-8854a3c62eef",
"reportParameterTypeID": 1,
"name": "sample string 3",
"defaultValue": "sample string 4",
"caption": "sample string 5",
"groupBy": "sample string 6",
"allowNull": true,
"sequence": 1,
"nameAlias": "sample string 8"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.